@echo off

REM **************************************************
REM     THIS IS THE BATCH FILE THAT SHIPS TO OUR USERS
REM **************************************************

REM     Check for QHI in the current directory
if exist QHI.EXE goto PATCH

REM     Check that a directory was specified
if (%1) == ()  goto NEEDDIR

REM		Check to see if the windows directory was specified
if (%2) == ()  goto NEEDDIR
if NOT exist %2\nul goto NEEDDIR


REM     Check in the current directory of the specified drive
REM     This also works if the directory ends with a \
if exist %1QHI.EXE goto DRVONLY

REM     Check for Quicken Home Inventory in the specified directory
if exist %1\QHI.EXE goto PATCH

goto NOTFOUND


REM     Apply the Patch file to QHI.  It will 
REM     automatically detect the current version of QHI
:PATCH
patch  %1 qhi3r8.rtp
goto CHKDLL
:DRVONLY
patch  %1. qhi3r8.rtp

REM 	Check the DLL to make sure we override older versions.
:CHKDLL
if NOT exist %2\system\qconnect.dll goto COPYQCONNECT
chkver %2\system\qconnect.dll qconnect.dll
goto EXIT
:COPYQCONNECT
copy qconnect.dll %2\system\qconnect.dll
goto EXIT

:NEEDDIR
echo --------------------------------------------------------
echo - Please include the name of the directory that contains
echo - Quicken Home Inventory 3 for Windows and the
echo - directory in which Windows is installed.  For example, 
echo - you should type:
echo - 
echo -     QHI3R8 C:\QUICKENW C:\WINDOWS
echo - 
echo - For more information, TYPE the README file.
echo --------------------------------------------------------
goto EXIT

:NOTFOUND
echo --------------------------------------------------------
echo - Quicken Home Inventory 3 for Windows was not found in 
echo - the directory:
echo - 
echo -     %1
echo - 
echo - Please check that you are correctly typing the name
echo - of the directory in which you installed Quicken Home
echo - Inventory. For example, you should type:
echo - 
echo -     QHI3R8 C:\QUICKENW C:\WINDOWS
echo - 
echo - For more information, TYPE the README file.
echo --------------------------------------------------------
goto EXIT


:EXIT


